//  Control a Servo using the "SoftwareServo" Library
//
//  Try Different Lengths of "delay" to get the best servo pulse string
//
//  Written by myke predko

#include <SoftwareServo.h>

SoftwareServo myservo1;  // create servo object to control a servo 

int pot1pin = 3;  // analog pin used to connect the potentiometer
int val;    // variable to read the value from the analog pin 

void setup() { 
  
  myservo1.attach(9);  // attaches the servo on pin 9 to the servo object 
  
} 

void loop() { 
  
  val = analogRead(pot1pin);            // reads the value of the potentiometer (value between 0 and 1023) 
  val = map(val, 0, 1023, 0, 179);     // scale it to use it with the servo (value between 0 and 180) 
  myservo1.write(val);                  // sets the servo position according to the scaled value 
  delay(15);                           // waits for the servo to get there 
//  Try different values for delay

  SoftwareServo::refresh();
  
} 
