//  Control a Servo using the PWM Capability available in the "TimerOne" Library
//
//  Potentiometer used to set servo position
//
//  Written by myke predko

#include <TimerOne.h>

//  Set Servo outputs using Timer Interrupts

int  pot1pin = 3;   // analog pin used to connect the potentiometer
int  val;
char oldSREG;       //  Pulled from the TimerOne Library

void setup() {
  
    Timer1.initialize(20000); // Set up a 20ms Loop
    Timer1.pwm(9, 600, 20000);
    
}
 
void loop() {

    val         = analogRead(pot1pin);            // reads the value of the potentiometer (value between 0 and 1023) 
    val         = map(val, 0, 1023, 600, 2400);     // scale it to use it with the servo (value between 600 and 2400ms) 

    oldSREG = SREG;
    cli();
    OCR1A = val;
    SREG = oldSREG;

    delay(10);  //  Wait 10ms for next sample

}
 
