//  Control two Servos using the PWM Capability available in the "TimerOne" Library
//
//  NOTE: Output is to inverting buffers
//
//  Potentiometer used to set servo position
//
//  Written by myke predko

#include <TimerOne.h>

//  Set Servo outputs using PWM with Negative Buffers

int  pot1pin = 3;   // analog pin used to connect the potentiometer
int  pot2pin = 2;  
int  val;
char oldSREG;

void setup() {
  
    Timer1.initialize(20000); // Set up a 20ms Loop
    Timer1.pwm( 9, 19400, 20000);
    Timer1.pwm(10, 19400, 20000);
    
}
 
void loop() {

    oldSREG = SREG;
    cli();

    val         = analogRead(pot1pin);            // reads the value of the potentiometer (value between 0 and 1023) 
    val         = map(val, 0, 1023, 600, 2400);     // scale it to use it with the servo (value between 600 and 2400ms) 
    OCR1A = 20000 - val;

    val         = analogRead(pot2pin);            // reads the value of the potentiometer (value between 0 and 1023) 
    val         = map(val, 0, 1023, 600, 2400);     // scale it to use it with the servo (value between 600 and 2400ms) 
    OCR1B = 20000 - val;

    SREG = oldSREG;

    delay(10);  //  Wait 10ms for next sample

}

